District Court Case Type API
District Court Case Type API provides the list of available types of case in courts or Complexes and their corresponding case types across different locations.
Request URL
POST
https://api.g99.co.in/api/v1/courtxdc/service/casetype
Request Body Parameters
| Type |
Name |
Optional |
Description |
| String |
stateId |
Required |
The unique identification number for State. |
| String |
districtId |
Required |
The unique identification number for District. |
| String |
courtId |
Required |
The unique identification number for Court. |
Sample Request Payload
{
"stateId": "4",
"districtId": "6",
"courtId": "1040061",
"estId": "30"
}
Sample Code
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api.g99.co.in/api/v1/courtxdc/service/casetype',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS =>'{
"stateId": "4",
"districtId": "6",
"courtId": "1040061",
"estId": "30"
}',
CURLOPT_HTTPHEADER => array(
'Content-Type: application/json'
),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import requests
import json
url = "https://api.g99.co.in/api/v1/courtxdc/service/casetype"
payload = json.dumps({
"stateId": "4",
"districtId": "6",
"courtId": "1040061",
"estId": "30"
})
headers = {
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://api.g99.co.in/api/v1/courtxdc/service/casetype");
var content = new StringContent("{\r\n \"stateId\": \"4\",\r\n \"districtId\": \"6\",\r\n \"courtId\": \"1040061\",\r\n \"estId\": \"31\"\r\n}", null, "application/json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Response
HTTP status code 200
| Key |
Type |
Description |
| caseTypeId |
String |
The unique identification number for Case Type. |
| caseTypeName |
String |
Name of Case Type. |
Sample Response
Sample response for valid document
[
{
"caseTypeId": "1",
"caseTypeName": "A(APPLICATION)"
},
{
"caseTypeId": "2",
"caseTypeName": "CS(CIVIL SUITS)"
}
]
Error Response
| Parameter |
Type |
Description |
| status |
Number |
Unique error codes for different errors. Always available. |
| message |
String |
Error message describing the error. Always Available. |
| error |
Boolean |
True / False for different errors. Always available. |
Error Codes
| HTTP Status |
Error Code |
Error Message |
| 400 |
4001 |
Malformed data or missing required parameter values. |
| 500 |
5001 |
Request could not be processed. Please try again later. |
Sample Error Response
{
"message": "Malformed data or missing required parameter values.",
"status": 4001,
"error": True
}